DynamicJava Javadoc: Class ClassInitializer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.tree
Class ClassInitializer

    java.lang.Object
      |
      +--koala.dynamicjava.tree.Node
            |
            +--koala.dynamicjava.tree.Initializer
                  |
                  +--koala.dynamicjava.tree.ClassInitializer

public class ClassInitializer
extends Initializer

This class represents the class initializer statement nodes of the syntax tree

Fields inherited from class koala.dynamicjava.tree.Initializer
`BLOCK`

Fields inherited from class koala.dynamicjava.tree.Node
`BEGIN_COLUMN, BEGIN_LINE, END_COLUMN, END_LINE, FILENAME`

Constructor Summary
`ClassInitializer(BlockStatement block)` Creates a new initializer statement
`ClassInitializer(BlockStatement block, java.lang.String fn, int bl, int bc, int el, int ec)` Creates a new initializer statement

Method Summary
`java.lang.Object` | `acceptVisitor(Visitor visitor)` Allows a visitor to traverse the tree

Methods inherited from class koala.dynamicjava.tree.Initializer
`getBlock, setBlock`

Methods inherited from class koala.dynamicjava.tree.Node
`addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, getBeginColumn, getBeginLine, getEndColumn, getEndLine, getFilename, getProperties, getProperty, hasProperty, removePropertyChangeListener, removePropertyChangeListener, setBeginColumn, setBeginLine, setEndColumn, setEndLine, setFilename, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassInitializer

    public ClassInitializer(BlockStatement block)

  Creates a new initializer statement
  Parameters:
    `block` - the block

### ClassInitializer

    public ClassInitializer(BlockStatement block,
                            java.lang.String fn,
                            int bl,
                            int bc,
                            int el,
                            int ec)

  Creates a new initializer statement
  Parameters:
    `block` - the block
    `fn` - the filename
    `bl` - the begin line
    `bc` - the begin column
    `el` - the end line
    `ec` - the end column

Method Detail

### acceptVisitor

    public java.lang.Object acceptVisitor(Visitor visitor)

  Allows a visitor to traverse the tree
  Overrides:
    `acceptVisitor` in class `Node`
  Parameters:
    `visitor` - the visitor to accept

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.